package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.dto.GameBackPolicyDTO;
import com.zanxiang.game.back.serve.pojo.dto.GameBackPolicyListDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameBackPolicy;
import com.zanxiang.game.back.serve.pojo.vo.GameBackPolicyVO;

import java.util.List;

/**
 * <p>
 * 游戏回传策略表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
public interface IGameBackPolicyService extends IService<GameBackPolicy> {

    boolean createPolicy(GameBackPolicyDTO dto);

    boolean updatePolicy(Long policyId, GameBackPolicyDTO dto);

    boolean deletePolicy(List<Long> id);

    IPage<GameBackPolicyVO> policyList(GameBackPolicyListDTO dto);

    List<GameBackPolicyVO> allOfUser();
}
